result.appendSource(entry.srcText).append(" = ");
def map = entry.translationWithComments
if (map.size() == 1) { 	// keep OmegaT's original presentation in this case
	map.each { 
		result.appendTarget(it.key, entry.hasPriorities(it.key));
		it.value.eachWithIndex { com, j ->
			result.append("\n" + (j+1) + ". ").appendComment(com).append("\n")
		}
	}
} else {
	map.eachWithIndex { e,i ->
		result.append("\n" + (i+1) + ". ").appendTarget(e.key, entry.hasPriorities(e.key));
		e.value.eachWithIndex { com, j ->
			result.append("\n" + (i+1) + ". " + (j+1) + ". ").appendComment(com).append("\n")
		}
	}
}
result.append("\n");